Package anbxj

# Class Crypto_KeyStoreBuilder_Map

java.lang.Object
anbxj.Crypto_KeyStoreBuilder_Map

public class Crypto_KeyStoreBuilder_Map extends Object
Keystore builder mapping key stores and their type/purpose

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_KeyStoreBuilder_Map(Crypto_KeyStoreSettings_Map kss)`
  Constructs a Crypto_KeyStoreBuilder_Map with the given key store settings map.
  `Crypto_KeyStoreBuilder_Map(Map<Crypto_KeyStoreType,Crypto_KeyStoreBuilder> ksb)`
  Constructs a Crypto_KeyStoreBuilder_Map with the given map of key stores.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsAlias(String alias)`
  Checks if the given alias exists in any of the Keystores.
  `Crypto_KeyStoreBuilder`
  `getKeyStoreBuilder(Crypto_KeyStoreType kst)`
  Gets the Keystore builder for the specified Keystore type.
  `Crypto_KeyStoreSettings_Map`
  `getKeyStoreSettings_Map()`
  Gets the key store settings map.
  `Map<Crypto_KeyStoreType,Certificate>`
  `getLocaleCertificates()`
  Gets the local certificates from all Keystores.
  `Map<Crypto_KeyStoreType,Certificate>`
  `getRemoteCertificates(String alias)`
  Gets the remote certificates for the given alias from all Keystores.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Crypto_KeyStoreBuilder_Map

    public Crypto_KeyStoreBuilder_Map(Map<Crypto_KeyStoreType,Crypto_KeyStoreBuilder> ksb)
    Constructs a Crypto_KeyStoreBuilder_Map with the given map of key stores.
    Parameters:
      `ksb` - the map of key stores

  - ### Crypto_KeyStoreBuilder_Map

    public Crypto_KeyStoreBuilder_Map(Crypto_KeyStoreSettings_Map kss)
    Constructs a Crypto_KeyStoreBuilder_Map with the given key store settings map.
    Parameters:
      `kss` - the key store settings map

- ## Method Details

  - ### getKeyStoreBuilder

    public Crypto_KeyStoreBuilder getKeyStoreBuilder(Crypto_KeyStoreType kst)
    Gets the Keystore builder for the specified Keystore type.
    Parameters:
      `kst` - the Keystore type
    Returns:
      the Keystore builder

  - ### containsAlias

    public boolean containsAlias(String alias)
    Checks if the given alias exists in any of the Keystores.
    Parameters:
      `alias` - the alias to check
    Returns:
      true if the alias exists in any Keystore, false otherwise

  - ### getKeyStoreSettings_Map

    public Crypto_KeyStoreSettings_Map getKeyStoreSettings_Map()
    Gets the key store settings map.
    Returns:
      the key store settings map

  - ### getLocaleCertificates

    public Map<Crypto_KeyStoreType,Certificate> getLocaleCertificates()
    Gets the local certificates from all Keystores.
    Returns:
      a map containing Keystore types and their corresponding local certificates

  - ### getRemoteCertificates

    public Map<Crypto_KeyStoreType,Certificate> getRemoteCertificates(String alias)
    Gets the remote certificates for the given alias from all Keystores.
    Parameters:
      `alias` - the alias to get remote certificates for
    Returns:
      a map containing Keystore types and their corresponding remote certificates